跳转到主要内容
POST
/
transfer
/
open
/
institution
/
v1
/
pay
/
charge
发起代扣
curl --request POST \
  --url https://openplatform.gateapi.io/transfer/open/institution/v1/pay/charge \
  --header 'Content-Type: application/json' \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
  --data '
{
  "merchantBatchNo": "1234565454511231",
  "accountId": "1979044675",
  "currency": "USDT",
  "amount": "1"
}
'
{
  "status": "SUCCESS",
  "code": "000000",
  "errorMessage": "",
  "data": {
    "merchantBatchNo": "1234565454511231",
    "status": "PAID",
    "fromAccountId": "2124267192",
    "toAccountId": "1979044675",
    "currency": "USDT",
    "amount": "1",
    "createTime": 1763455435851
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.gate.com/llms.txt

Use this file to discover all available pages before exploring further.

概述

本页说明 POST /transfer/open/institution/v1/pay/charge 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

说明

  • 认证方式使用 GatePay 标准签名请求头。
  • 这个机构专属接口需要携带 X-GatePay-On-Behalf-Of,表示本次代扣的发起方账户 ID,可填写机构账户 ID 或子账户 ID。
  • 请求体中的 accountId 表示付款方账户 ID(被扣款账户)。
  • 当前版本中,该接口会同步返回最终执行结果,不需要再依赖详情接口轮询处理中状态。
  • 通用签名规则请参见 /api-reference/version/100/cn/common/securityAndSignature

请求头

X-GatePay-Certificate-ClientId
string
必填

商户在Gate商户后台注册应用时分配的clientId

示例:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Timestamp
string
必填

请求生成时的UTC时间戳,milliseconds。请注意,GatePay不处理收到请求时间与这个时间戳差距大于10秒钟的请求

示例:

"1672905655498"

X-GatePay-Nonce
string
必填

随机字符串,字符符合HTTP Header头部的规范,建议长度在32个字符以内,字符串组成为数字和字母

示例:

"9578"

X-GatePay-Signature
string
必填

请求签名。GatePay通过此签名来确定此请求是否合法

X-GatePay-On-Behalf-Of
string
必填

必填代理归属请求头。请填写本次交易的发起方账户 ID,可填写机构账户 ID 或子账户 ID。

请求体

application/json
merchantBatchNo
string
必填

由商户侧生成的唯一批次 ID

accountId
string
必填

付款方账户 ID(被扣款账户)。

currency
string
必填

转账币种

amount
string
必填

转账金额

响应

200 - application/json

成功

status
string
示例:

"SUCCESS"

code
string
示例:

"000000"

errorMessage
string
data
object

同步执行结果。提交成功后直接返回最终状态与核心结果字段。